Jump to content

click.png click.png click.png

click.png

click.png

click.png

click.png

click.png

click.png

click.png

click.png

click.png

click.png

click.png

click.png

Erro na Manifestação de Destinatário


Valdir Dill
  • Este tópico foi criado há 1751 dias atrás.
  • Talvez seja melhor você criar um NOVO TÓPICO do que postar uma resposta aqui.

Recommended Posts

  • Membros Pro

Boa tarde,

Estou com este erro na manifestação de destinatário:

ERRO: Rejeicao: Cabecalho - Versao do arquivo XML nao suportada
Rejeicao: Cabecalho - Versao do arquivo XML nao suportada. 

Neste post abaixo tem a orientação para excluir alguns arquivos  (distDFeInt_v1.01.xsd, resEvento_v1.01.xsd, resNFe_v1.01.xsd, retDistDFeInt_v1.01.xsd
tiposDistDFe_v1.01.xsd). De fato, se fizer isso, não dá o erro.

Fiz um debug e verifiquei que ele monta o XML mudando a tag versao="1.01" se o arquivo distDFeInt_v1.01.xsd existir na pasta \Schemas e, versao="1.00" se existir somente o distDFeInt_v1.00.xsd na pasta.

Com versao="1.00" não dá erro.

Mas a questão é: qual é procedimento correto? É mesmo o distDFeInt_v1.01.xsd que está indevidamente no repositório do Acbr? Ou algum outro procedimento que deveria ser feito em relação a atualização dessas versão de 1.00 para 1.01?


Exemplo do XML com distDFeInt_v1.01.xsd
<?xml version="1.0" encoding="UTF-8"?><nfeDadosMsg><distDFeInt xmlns="http://www.portalfiscal.inf.br/nfe" versao="1.01"><tpAmb>1</tpAmb><cUFAutor>41</cUFAutor><CNPJ>13971229000115</CNPJ><distNSU><ultNSU>000000000000000</ultNSU></distNSU></distDFeInt></nfeDadosMsg>

Exemplo do XML com distDFeInt_v1.00.xsd
<?xml version="1.0" encoding="UTF-8"?><nfeDadosMsg><distDFeInt xmlns="http://www.portalfiscal.inf.br/nfe" versao="1.00"><tpAmb>1</tpAmb><cUFAutor>41</cUFAutor><CNPJ>13971229000115</CNPJ><distNSU><ultNSU>000000000000000</ultNSU></distNSU></distDFeInt></nfeDadosMsg>


Alguma sugestão?

Obrigado

Valdir Dill

Rio de Janeiro - RJ

 

 

Link to comment
Share on other sites

  • Consultores

Boa noite Valdir,

A questão é que os XSD da versão 1.01 se referem a nova versão do DistribuicaoDFe.

Eles já foram disponibilizados na pasta de Schemas, o que você deve fazer é uma cópia desses XSD e excluir da cópia os da versão 1.01

Por fim fazer com que a sua aplicação utilize os schemas dessa cópia.

  • Like 2
Consultor SAC ACBr Italo Giurizzato Junior
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr

Analista de Sistemas / e-mail: [email protected] / Fone: (16) 9-9701-5030 / Araraquara-SP

Link to comment
Share on other sites

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.